Name libio-compress-perl
Version 2.219
Summary Perl interface to allow reading and writing of compressed data.
Description This distribution provides a Perl interface to allow reading and writing of compressed data created with the zlib and bzip2. IO-Compress supports reading and writing of the following compressed data formats * bzip2 * RFC 1950 * RFC 1951 * RFC 1952 (i.e. gzip) * zip
Section libs
License Artistic-1.0 | GPL-1.0-or-later
Homepage https://metacpan.org/release/IO-Compress
Recipe file recipes-perl/libio/libio-compress-perl_2.219.bb
Layer meta-perl (rel-v2026.2 branch)
Inherits
  • cpan
  • cpan-base
  • gcc
  • gcc-native
  • perl-version
  • perlnative
  • update-alternatives
Dependencies
  • gcc-cross-i686
  • perl
  • perl-native
  • virtual/compilerlibs
  • virtual/libc
  • virtual/update-alternatives
PACKAGECONFIG options
  • vardepvalue

Sources

https://cpan.metacpan.org/authors/id/P/PM/PMQS/IO-Compress-2.219.tar.gz

Patches

None

Other branches

This recipe in other branches of meta-perl:

Branch Recipe
rel-v2026.1 (AMD EDF 26.06 Release) libio-compress-perl 2.206
rel-v2026.2 (AMD EDF 26.11 Release) libio-compress-perl 2.219 (this recipe)